(function() {
    'use strict';

    angular.module('pgApp')
        .factory('labels', ['$q', 'endpoints', factoryFn])
    ;

    function factoryFn($q, endpoints) {
        var labels = this;
        labels.getLabels = function() {
            var deferred = $q.defer();

            endpoints.fetchLabels().then(function(resp) {
                console.log(resp);
                deferred.resolve(resp);
            }, function(err){
                console.log(err);
            });

            return deferred.promise;
        };

        return labels;
    }
})();