(function() {
    'use strict';

    angular.module('pgApp')
        .factory('productKitHeaderService', ['$q', 'endpoints', factoryFn])
    ;

    function factoryFn($q, endpoints) {
        var productKitHeaderService = this;
        productKitHeaderService.getProductsKitHeaders = function(kitItemParentIds) {
            var deferred = $q.defer();

            endpoints.getProductsKitHeaders(kitItemParentIds).then(function(resp) {
                deferred.resolve(resp);
            }, function(error) {
                deferred.reject(error);
            });
            return deferred.promise;
        };

        return productKitHeaderService;
    }
})();
