(function() {
    'use strict';

    angular.module('pgApp')
        .factory('currencyService', ['$q', 'endpoints', factoryFn])
    ;

    function factoryFn($q, endpoints) {
        var currencyService = this;

        currencyService.getCurrencyIsoCode = function(object, field) {
            var deferred = $q.defer();

            endpoints.getCurrencyIsoCode(object, field).then(function(resp) {
                deferred.resolve(resp);
            }, function(error) {
                deferred.reject(error);
            });

            return deferred.promise;
        };

        return currencyService;
    }
})();