(function() {
    'use strict';

    angular.module('pgApp')
        .factory('kitService', ['$q', 'endpoints', factoryFn])
    ;

    function factoryFn($q, endpoints) {
        var kitService = this;

        kitService.getProductKitItems = function() {
            var deferred = $q.defer();

            endpoints.getProductKitItems().then(function(resp) {
                deferred.resolve(resp);
            }, function(err) {
                console.log(err);
                deferred.reject(err);
            });

            return deferred.promise;
        };

        return kitService;
    }
})();