(function() {
    'use strict';

    angular.module('pgApp')
        .factory('productGroupProductsService', ['$q', 'endpoints', factoryFn])
    ;

    function factoryFn($q, endpoints) {
        var productGroupProductsService = this;
        productGroupProductsService.getproductGroupProducts = function(prodCatalogIds) {
            var deferred = $q.defer();

            endpoints.getproductGroupProducts(prodCatalogIds).then(function(resp) {
                deferred.resolve(resp);
            }, function(error) {
                deferred.reject(error);
            });

            return deferred.promise;
        };

        return productGroupProductsService;
    }
})();
